%% Funzione che considera i nodi per il calcolo della stella
% Verso: se uguale a 1 calcola il nodo in senso orario, se uguale a -1 lo
%       calcola in senso antiorario, se = 0 lo calcola in entrambi i modi e ne fa
%       la media
% Segmenti: dice fra quali nodi calcolare la stella. Per ogni riga, le
%           colonne rappresentano i nodi
% Peso: assegna un peso nel calcolo della media fra calcolo orario e
%       antiorario. La prima coppia sono i pesi da dare rispetivamente al
%       calcolo orario e antiorario per il primo punto del segmento, la
%       seconda coppia di ogni riga sono i medesimi valori per il secondo
%       punto di un segmento.
% PosIniEnd: riporta la posizione iniziale e finale (per catena chiusa,
%           coincidono). In riga le coordinate

function [Verso,Segmenti,Peso,PosIniEnd,Punti_Noti,Antiorario] = star(...
    IDcentralina,DTcatena,FileName)

fileID = fopen(FileName,'a');
fmt = '%s \r';

NomeFile = strcat(IDcentralina,'-',DTcatena,'.xlsx');
Verso = xlsread(NomeFile,1);
Segmenti = xlsread(NomeFile,2);
Peso = xlsread(NomeFile,3);
PosIniEnd = xlsread(NomeFile,4);
Punti_Noti = xlsread(NomeFile,5);
Antiorario = xlsread(NomeFile,6);

text = 'star function worked correctly';
fprintf(fileID,fmt,text);
fclose(fileID);

end